path: /build/build/mcfly-app-shells-0.8.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-shells/mcfly -pv -t && \
    emerge -j ${JOBS} --nodeps app-shells/mcfly
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mcfly && luet-portage --dir /pkgdir/mcfly
    app-shells/mcfly && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:709444fc0827433fe997d9c4516ecc2f2626f77d17e412aa8f1085adf79a1f03
  package:
    name: mcfly
    version: 0.8.4
    category: app-shells
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Context-aware bash history search replacement (ctrl-r)
    uri:
    - https://github.com/cantino/mcfly
    license: Apache-2.0 BSD BSD-2 CC0-1.0 MIT Unlicense
    buildtimestamp: 2024-02-07 14:32:46.909418122 +0000 UTC m=+363.190536679
    labels:
      BDEPEND: '>=virtual/rust-1.37.0'
      DEPEND: dev-db/sqlite:3
      IUSE: debug
      RDEPEND: dev-db/sqlite:3
      emerge.packages: app-shells/mcfly
      kit: core-kit
      original.package.name: app-shells/mcfly
      original.package.slot: "0"
      original.package.version: 0.8.4
    treedir: /build/packages
  package_dir: /pkgdir/mcfly
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b343972c82584b9773dcd5cfd421f78d92d0538548c0d77ff50ccac76c20c3e7
compressiontype: zstd
files:
- usr/bin/mcfly
- usr/share/doc/mcfly-0.8.4/README.md.bz2
- usr/share/mcfly/mcfly.bash
- usr/share/mcfly/mcfly.fish
- usr/share/mcfly/mcfly.zsh
- var/db/pkg/app-shells/mcfly-0.8.4/BDEPEND
- var/db/pkg/app-shells/mcfly-0.8.4/BUILD_TIME
- var/db/pkg/app-shells/mcfly-0.8.4/CATEGORY
- var/db/pkg/app-shells/mcfly-0.8.4/CBUILD
- var/db/pkg/app-shells/mcfly-0.8.4/CC
- var/db/pkg/app-shells/mcfly-0.8.4/CFLAGS
- var/db/pkg/app-shells/mcfly-0.8.4/CHOST
- var/db/pkg/app-shells/mcfly-0.8.4/CONTENTS
- var/db/pkg/app-shells/mcfly-0.8.4/COUNTER
- var/db/pkg/app-shells/mcfly-0.8.4/CXXFLAGS
- var/db/pkg/app-shells/mcfly-0.8.4/DEFINED_PHASES
- var/db/pkg/app-shells/mcfly-0.8.4/DEPEND
- var/db/pkg/app-shells/mcfly-0.8.4/DESCRIPTION
- var/db/pkg/app-shells/mcfly-0.8.4/EAPI
- var/db/pkg/app-shells/mcfly-0.8.4/FEATURES
- var/db/pkg/app-shells/mcfly-0.8.4/HOMEPAGE
- var/db/pkg/app-shells/mcfly-0.8.4/INHERITED
- var/db/pkg/app-shells/mcfly-0.8.4/IUSE
- var/db/pkg/app-shells/mcfly-0.8.4/IUSE_EFFECTIVE
- var/db/pkg/app-shells/mcfly-0.8.4/KEYWORDS
- var/db/pkg/app-shells/mcfly-0.8.4/LDFLAGS
- var/db/pkg/app-shells/mcfly-0.8.4/LICENSE
- var/db/pkg/app-shells/mcfly-0.8.4/NEEDED
- var/db/pkg/app-shells/mcfly-0.8.4/PF
- var/db/pkg/app-shells/mcfly-0.8.4/RDEPEND
- var/db/pkg/app-shells/mcfly-0.8.4/REQUIRES
- var/db/pkg/app-shells/mcfly-0.8.4/SIZE
- var/db/pkg/app-shells/mcfly-0.8.4/SLOT
- var/db/pkg/app-shells/mcfly-0.8.4/USE
- var/db/pkg/app-shells/mcfly-0.8.4/environment.bz2
- var/db/pkg/app-shells/mcfly-0.8.4/mcfly-0.8.4.ebuild
- var/db/pkg/app-shells/mcfly-0.8.4/repository
package_cacheimage: ""
runtime:
  name: mcfly
  version: 0.8.4
  category: app-shells
  requires:
  - name: sqlite
    version: '>=0'
    category: dev-db-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Context-aware bash history search replacement (ctrl-r)
  uri:
  - https://github.com/cantino/mcfly
  license: Apache-2.0 BSD BSD-2 CC0-1.0 MIT Unlicense
  labels:
    BDEPEND: '>=virtual/rust-1.37.0'
    DEPEND: dev-db/sqlite:3
    IUSE: debug
    RDEPEND: dev-db/sqlite:3
    emerge.packages: app-shells/mcfly
    kit: core-kit
    original.package.name: app-shells/mcfly
    original.package.slot: "0"
    original.package.version: 0.8.4
